Bug 187423 - [PATCH] devel/log4cplus: update to 1.1.2
Summary: [PATCH] devel/log4cplus: update to 1.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-10 16:40 UTC by Mathieu Arnold
Modified: 2014-03-14 15:00 UTC (History)
1 user (show)

See Also:


Attachments
log4cplus-1.1.2.patch (4.23 KB, patch)
2014-03-10 16:40 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2014-03-10 16:40:01 UTC
- Update to 1.1.2

Port maintainer (reed@reedmedia.net) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.03 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-10 16:40:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-03-10 16:40:09 UTC
Maintainer of devel/log4cplus,

Please note that PR ports/187423 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187423

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 reed 2014-03-13 17:51:06 UTC
On Mon, 10 Mar 2014, Edwin Groothuis wrote:

> Please note that PR ports/187423 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

I didn't test it. But I looked at it and it appears correct and fine. I 
am fine with having it committed. Thanks
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2014-03-14 03:53:50 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Mathieu Arnold freebsd_committer 2014-03-14 14:53:06 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2014-03-14 14:53:14 UTC
Author: mat
Date: Fri Mar 14 14:53:06 2014
New Revision: 348242
URL: http://svnweb.freebsd.org/changeset/ports/348242
QAT: https://qat.redports.org/buildarchive/r348242/

Log:
  Update to 1.1.2
  
  PR:		187423
  Submitted by:	mat
  Approved by:	maintainer
  Sponsored by:	Absolight

Modified:
  head/devel/log4cplus/Makefile
  head/devel/log4cplus/distinfo
  head/devel/log4cplus/pkg-plist

Modified: head/devel/log4cplus/Makefile
==============================================================================
--- head/devel/log4cplus/Makefile	Fri Mar 14 14:42:41 2014	(r348241)
+++ head/devel/log4cplus/Makefile	Fri Mar 14 14:53:06 2014	(r348242)
@@ -2,21 +2,20 @@
 # $FreeBSD$
 
 PORTNAME=	log4cplus
-PORTVERSION=	1.0.4
+PORTVERSION=	1.1.2
 CATEGORIES=	devel
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-stable/${PORTVERSION}
-DISTFILES=	log4cplus-${PORTVERSION}.tar.bz2
 
 MAINTAINER=	reed@reedmedia.net
-COMMENT=	logging library for C++
+COMMENT=	Logging library for C++
 
 OPTIONS_DEFINE=	DOCS
 
-USE_GCC=	any
-USE_AUTOTOOLS=	libtool
+USES=		libtool pathfix
+USE_XZ=		yes
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS+=--enable-threads=yes
+CONFIGURE_ARGS=	--enable-threads=yes
 MAKE_JOBS_UNSAFE=	yes
 
 PORTDOCS=	*

Modified: head/devel/log4cplus/distinfo
==============================================================================
--- head/devel/log4cplus/distinfo	Fri Mar 14 14:42:41 2014	(r348241)
+++ head/devel/log4cplus/distinfo	Fri Mar 14 14:53:06 2014	(r348242)
@@ -1,2 +1,2 @@
-SHA256 (log4cplus-1.0.4.tar.bz2) = c2bb01b5f4bff5fa768700e98ead4a79dfd556096c9f3f0401849da7ab80fbef
-SIZE (log4cplus-1.0.4.tar.bz2) = 420708
+SHA256 (log4cplus-1.1.2.tar.xz) = 999427580cded403b4edc8a85088621f27493c489f08b9f564fb5fe76c16a883
+SIZE (log4cplus-1.1.2.tar.xz) = 433728

Modified: head/devel/log4cplus/pkg-plist
==============================================================================
--- head/devel/log4cplus/pkg-plist	Fri Mar 14 14:42:41 2014	(r348241)
+++ head/devel/log4cplus/pkg-plist	Fri Mar 14 14:53:06 2014	(r348242)
@@ -1,35 +1,48 @@
 include/log4cplus/LICENSE
 include/log4cplus/appender.h
+include/log4cplus/asyncappender.h
+include/log4cplus/boost/deviceappender.hxx
+include/log4cplus/clogger.h
 include/log4cplus/config.hxx
 include/log4cplus/config/defines.hxx
 include/log4cplus/config/macosx.h
 include/log4cplus/config/win32.h
+include/log4cplus/config/windowsh-inc.h
 include/log4cplus/configurator.h
 include/log4cplus/consoleappender.h
 include/log4cplus/fileappender.h
 include/log4cplus/fstreams.h
 include/log4cplus/helpers/appenderattachableimpl.h
+include/log4cplus/helpers/fileinfo.h
+include/log4cplus/helpers/lockfile.h
 include/log4cplus/helpers/loglog.h
 include/log4cplus/helpers/logloguser.h
 include/log4cplus/helpers/pointer.h
 include/log4cplus/helpers/property.h
+include/log4cplus/helpers/queue.h
 include/log4cplus/helpers/sleep.h
+include/log4cplus/helpers/snprintf.h
 include/log4cplus/helpers/socket.h
 include/log4cplus/helpers/socketbuffer.h
 include/log4cplus/helpers/stringhelper.h
-include/log4cplus/helpers/syncprims-pthreads.h
-include/log4cplus/helpers/syncprims.h
 include/log4cplus/helpers/thread-config.h
-include/log4cplus/helpers/threads.h
 include/log4cplus/helpers/timehelper.h
 include/log4cplus/hierarchy.h
 include/log4cplus/hierarchylocker.h
+include/log4cplus/internal/cygwin-win32.h
+include/log4cplus/internal/env.h
+include/log4cplus/internal/internal.h
+include/log4cplus/internal/socket.h
 include/log4cplus/layout.h
+include/log4cplus/log4judpappender.h
 include/log4cplus/logger.h
 include/log4cplus/loggingmacros.h
 include/log4cplus/loglevel.h
+include/log4cplus/mdc.h
 include/log4cplus/ndc.h
+include/log4cplus/nteventlogappender.h
 include/log4cplus/nullappender.h
+include/log4cplus/qt4debugappender.h
 include/log4cplus/socketappender.h
 include/log4cplus/spi/appenderattachable.h
 include/log4cplus/spi/factory.h
@@ -41,14 +54,31 @@ include/log4cplus/spi/objectregistry.h
 include/log4cplus/spi/rootlogger.h
 include/log4cplus/streams.h
 include/log4cplus/syslogappender.h
+include/log4cplus/tchar.h
+include/log4cplus/thread/impl/syncprims-impl.h
+include/log4cplus/thread/impl/syncprims-pthreads.h
+include/log4cplus/thread/impl/syncprims-win32.h
+include/log4cplus/thread/impl/threads-impl.h
+include/log4cplus/thread/impl/tls.h
+include/log4cplus/thread/syncprims-pub-impl.h
+include/log4cplus/thread/syncprims.h
+include/log4cplus/thread/threads.h
+include/log4cplus/tracelogger.h
 include/log4cplus/tstring.h
 include/log4cplus/version.h
-lib/liblog4cplus-1.0.so
-lib/liblog4cplus-1.0.so.4
+include/log4cplus/win32consoleappender.h
+include/log4cplus/win32debugappender.h
+lib/liblog4cplus-1.1.so.9
+lib/liblog4cplus-1.1.so.9.0.0
 lib/liblog4cplus.a
 lib/liblog4cplus.la
 lib/liblog4cplus.so
-@dirrm include/log4cplus/config
+libdata/pkgconfig/log4cplus.pc
+@dirrm include/log4cplus/thread/impl
+@dirrm include/log4cplus/thread
 @dirrm include/log4cplus/spi
+@dirrm include/log4cplus/internal
 @dirrm include/log4cplus/helpers
+@dirrm include/log4cplus/config
+@dirrm include/log4cplus/boost
 @dirrm include/log4cplus
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"